import 'option.dart' show Option;
import 'terminal.dart' show Terminal;

final Terminal _terminal = const Terminal();

class Prompter {
  static bool askBinary(String prompt) {
    final input = _ask('$prompt (y/n)');

    return input.contains('y');
  }

  static String askMultiple(String prompt, List<Option> options) {
    final input = _ask(prompt, options);
    try {
      return options[int.parse(input) - 1].value;
    } catch (err) {
      return askMultiple(prompt, options);
    }
  }

  static String _ask(String prompt, [List<Option> options = const []]) {
    _terminal.clearScreen();
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);

    return _terminal.collectInput();
  }
}
