import 'dart:io' show stdout, stdin, Platform;
import 'option.dart' show Option;

class Terminal {
  const Terminal();

  void printPrompt(String prompt) {
    stdout.writeln(prompt);
  }

  String collectInput() {
    return stdin.readLineSync();
  }

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    } else {
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }

  void printOptions(List<Option> options) {
    options.asMap().forEach(
        (key, option) => stdout.writeln('${key + 1}) I want ${option.label}'));
    stdout.writeln('Enter a choice:\n');
    stdout.write('> ');
  }
}
